# ExHost (SubServers.Host)

net.ME1312.SubServers.Host

## Class ExHost

- java.lang.Object
- - net.ME1312.SubServers.Host.ExHost

    public final class ExHost
    extends java.lang.Object

SubServers.Host Main Class

### Field Summary

Fields
`SubAPI` `api`
`Version` `bversion`
`YAMLConfig` `config`
`SubCreator` `creator`
`UniversalFile` `dir`
`YAMLSection` `host`
`YAMLSection` `lang`
`Logger` `log`
`UniversalFile` `runtime`
`java.util.HashMap<java.lang.String,SubServer>` `servers`
`SubDataClient` `subdata`
`java.util.HashMap<java.lang.String,SubCreator.ServerTemplate>` `templates`
`Version` `version`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static void` `main(java.lang.String[] args)` SubServers.Host Launch
`void` `stop(int exit)` Stop SubServers.Host

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### templates

    public java.util.HashMap<java.lang.String,SubCreator.ServerTemplate> templates

#### servers

    public java.util.HashMap<java.lang.String,SubServer> servers

#### creator

    public SubCreator creator

#### log

    public Logger log

#### dir

    public final UniversalFile dir

#### runtime

    public final UniversalFile runtime

#### config

    public YAMLConfig config

#### host

    public YAMLSection host

#### lang

    public YAMLSection lang

#### subdata

    public SubDataClient subdata

#### version

    public final Version version

#### bversion

    public final Version bversion

#### api

    public final SubAPI api

### Method Detail

#### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

SubServers.Host Launch

Parameters:
  `args` - Args
Throws:
  `java.lang.Exception`

#### stop

    public void stop(int exit)

Stop SubServers.Host

Parameters:
  `exit` - Exit Code